image: ubuntu:latest

before_script:
  - apt-get update && apt-get install -y openssh-client
  - apt-get update && apt-get install default-jre -y
  - update-alternatives --config java
  - export PATH=$PATH:/usr/lib/jvm/java-11-openjdk-amd64/bin/java
  - apt-get install -y maven
  - mkdir ~/.ssh
  - echo "$SSH_PRIVATE_KEY" > ~/.ssh/id_rsa
  - chmod 600 ~/.ssh/id_rsa

stages:
  - deploy
  

deploy:
  stage: deploy
  script:
    - pwd
    - echo $PATH
    - java -version
    - mvn clean install
    - ls -al
    - scp -o StrictHostKeyChecking=no target/RestApiHelloWorld-0.0.1-SNAPSHOT.jar ec2-user@54.171.239.125:~/RestApiHelloWorld-0.0.1-SNAPSHOT.jar
    - ssh -o StrictHostKeyChecking=no ec2-user@54.171.239.125 "/usr/lib/jvm/java-11-openjdk-amd64/bin/java -jar ~/RestApiHelloWorld-0.0.1-SNAPSHOT.jar &"

